% author: kaneda
% grafic practica 5

\documentclass{standalone}

% Required package
\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    xmin = -110, xmax = 305,
    ymin = 35, ymax = 230,
    width = \textwidth,
    height = \textwidth,
    xtick distance = 40,
    ytick distance = 20,
    tick label style = {font=\large},
    minor tick num = 1,
    xlabel = {\Large Temperatura ($^\circ C$)},
    ylabel = {\Large Resistència ($\Omega$)},
    legend cell align = {left},
    legend pos = north west
]

% Plot data
\addplot[
    teal,
    only marks,
    mark size = 0.5mm
] table[x = T, y = R] {dades.dat};

\addplot[
    red!70,
    only marks,
    mark size = 0.5mm
] coordinates{(23.7, 111.1)};

% Linear regression
\addplot[
    thick,
    orange
] table[
    x = T,
    y = {create col/linear regression={y=R}}
] {dades.dat};

% Add legend
\addlegendentry{\Large Mesures}
\addlegendentry{\Large Condicions inicials}
\addlegendentry{\Large Regressió lineal};

\end{axis}
\end{tikzpicture}

\end{document}
